onEvent("recipes", (event) => {
  // utility recipes
  event.shapeless("flint", ["3x gravel"]);
  event.shaped({
    pattern: ["LLL", "L L", "I I"],
    key: {
      L: "minecraft:leather",
      I: "minecraft:iron_ingot",
    },
    result: "minecraft:saddle",
  });
  event.shaped({
    pattern: ["W W", "WWW", "WWW"],
    key: {
      W: "minecraft:brown_wool",
    },
    result: "mineminenomi:fluffy_cape",
  });
  event.shaped({
    pattern: ["W W", "WCW", "WWW"],
    key: {
      W: "minecraft:brown_wool",
      C: "minecraft:leather_chestplate",
    },
    result: "mineminenomi:pirate_captain_cape",
  });
  event.shaped({
    pattern: ["W W", "WCW", "WWW"],
    key: {
      W: "minecraft:white_wool",
      C: "minecraft:leather_chestplate",
    },
    result: "mineminenomi:marine_captain_cape",
  });
  event.shaped({
    pattern: ["W W", "WCW", "WWW"],
    key: {
      W: "minecraft:gold_ingot",
      C: "minecraft:leather_chestplate",
    },
    result: "mineminenomi:wootz_steel_armor",
  });
  event.shaped({
    pattern: ["W W", " C ", " W "],
    key: {
      W: "minecraft:brown_wool",
      C: "minecraft:leather_helmet",
    },
    result: "mineminenomi:tricorne",
  });
  event.shaped({
    pattern: ["BDB"],
    key: {
      B: "minecraft:bone_block",
      D: "minecraft:diamond",
    },
    result: "onepiecemod:onihead_helmet",
  });
  event.shaped({
    pattern: ["BPB", "PPP", "BPB"],
    key: {
      P: "minecraft:crimson_planks",
      B: "minecraft:bone",
    },
    result: "onepiecemod:oni_mask_helmet",
  });
  event.shaped({
    pattern: ["BBB", "BBB", "BBB"],
    key: {
      B: "minecraft:brown_wool",
    },
    result: "onepiecemod:bear_mask_helmet",
  });
  event.shapeless("onepiecemod:the_beast_mask_helmet", [
    "4x minecraft:red_wool",
    "4x minecraft:black_wool",
  ]);
  event.shapeless("onepiecemod:fox_mask_helmet", [
    "4x minecraft:orange_wool",
    "4x minecraft:black_wool",
  ]);
  //CP-0
  event.shapeless("onepiecemod:cp_0_guernica_boots", [
    "mineminenomi:kuma_pants",
  ]);
  event.shapeless("onepiecemod:cp_0_boots", [
    "onepiecemod:cp_0_guernica_boots",
  ]);
  event.shapeless("mineminenomi:kuma_pants", [
    "onepiecemod:cp_0_boots",
  ]);
  event.shaped({
    pattern: ["W W", "WWP", "WWW"],
    key: {
      W: "minecraft:white_wool",
      P: "minecraft:purple_wool",
    },
    result: "onepiecemod:cp_0_chestplate",
  });
  event.shaped({
    pattern: ["W W", "WWP", "WWW"],
    key: {
      W: "minecraft:white_wool",
      P: "minecraft:red_wool",
    },
    result: "onepiecemod:cp_0_guernica_chestplate",
  });
  //Luffy
  event.shaped({
    pattern: ["WWW", "W W"],
    key: {
      W: "minecraft:wheat",
    },
    result: "mineminenomi:straw_hat",
  });
  event.shaped({
    pattern: ["W W", "WNW", "WNW"],
    key: {
      W: "minecraft:red_wool",
      N: "minecraft:gold_nugget",
    },
    result: "mineminenomi:luffys_shirt",
  });
  event.shaped({
    pattern: ["BBB", "B B", "W W"],
    key: {
      W: "minecraft:white_wool",
      B: "minecraft:light_blue_wool",
    },
    result: "mineminenomi:luffys_pants",
  });
  event.shaped({
    pattern: ["S S", "P P"],
    key: {
      S: "minecraft:string",
      P: "#minecraft:wooden_slabs",
    },
    result: "mineminenomi:luffys_sandals",
  });
  //Zoro
  event.shaped({
    pattern: ["W W", "WWW", "GGG"],
    key: {
      W: "minecraft:white_wool",
      G: "minecraft:green_wool",
    },
    result: "mineminenomi:zoros_shirt",
  });
  event.shaped({
    pattern: ["GGG", "G G", "G G"],
    key: {
      G: "minecraft:green_wool",
    },
    result: "mineminenomi:zoros_pants",
  });
  event.shaped({
    pattern: ["G G", "B B"],
    key: {
      B: "minecraft:black_wool",
      G: "minecraft:green_wool",
    },
    result: "mineminenomi:zoros_boots",
  });
  //Ussop
  event.shaped({
    pattern: ["N N", "GGG", "WWW"],
    key: {
      N: "minecraft:iron_nugget",
      W: "minecraft:white_wool",
      G: "minecraft:leather",
    },
    result: "mineminenomi:usopps_overall",
  });
  event.shaped({
    pattern: ["GGG", "G G", "W W"],
    key: {
      G: "minecraft:leather",
      W: "minecraft:white_wool",
    },
    result: "mineminenomi:usopps_pants",
  });
  event.shaped({
    pattern: ["G G", "G G"],
    key: {
      G: "minecraft:green_wool",
    },
    result: "mineminenomi:usopps_boots",
  });
  //Franky
  event.shaped({
    pattern: ["W W", "YWY", "WWW"],
    key: {
      W: "minecraft:red_wool",
      Y: "minecraft:yellow_wool",
    },
    result: "mineminenomi:frankys_shirt",
  });
  event.shaped({
    pattern: ["GIG"],
    key: {
      G: "minecraft:black_stained_glass_pane",
      I: "minecraft:iron_ingot",
    },
    result: "mineminenomi:frankys_glasses",
  });
  //Magellan
  event.shaped({
    pattern: ["G W", "GWW", "WWW"],
    key: {
      W: "minecraft:black_wool",
      G: "minecraft:gold_ingot",
    },
    result: "onepiecemod:directeur_impel_down_chestplate",
  });
  event.shaped({
    pattern: ["B B", "G G"],
    key: {
      B: "minecraft:black_wool",
      G: "minecraft:green_wool",
    },
    result: "onepiecemod:directeur_impel_down_boots",
  });
  //Sanji
  event.shaped({
    pattern: ["G G", "GGG", "GGG"],
    key: {
      G: "minecraft:black_wool",
    },
    result: "mineminenomi:sanjis_shirt",
  });
  event.shaped({
    pattern: ["GGG", "G G", "G G"],
    key: {
      G: "minecraft:black_wool",
    },
    result: "mineminenomi:sanjis_pants",
  });
  event.shaped({
    pattern: ["B B", "B B"],
    key: {
      B: "minecraft:black_wool",
    },
    result: "mineminenomi:sanjis_shoes",
  });
  //Senior Pink
  event.shaped({
    pattern: ["P P", "PPP", "PPP"],
    key: {
      P: "minecraft:purple_wool",
    },
    result: "mineminenomi:senior_pinks_shirt",
  });
  event.shaped({
    pattern: ["PPP", "P P", "PPP"],
    key: {
      P: "minecraft:pink_wool",
    },
    result: "mineminenomi:senior_pinks_bonnet",
  });
  //CP-9
  event.shaped({
    pattern: ["G G", "GGG", "GGG"],
    key: {
      G: "minecraft:gray_wool",
    },
    result: "mineminenomi:cp9_jacket",
  });
  event.shaped({
    pattern: ["GGG", "G G", "G G"],
    key: {
      G: "minecraft:gray_wool",
    },
    result: "mineminenomi:cp9_pants",
  });
  event.shaped({
    pattern: ["B B", "B B"],
    key: {
      B: "minecraft:gray_wool",
    },
    result: "mineminenomi:cp9_boots",
  });
  //Vice-Admiral
  event.shaped({
    pattern: ["G G", "GOG", "GGG"],
    key: {
      G: "minecraft:brown_wool",
      O: "minecraft:orange_wool",
    },
    result: "mineminenomi:vice_admiral_jacket",
  });
  event.shaped({
    pattern: ["GGG", "G G", "G G"],
    key: {
      G: "minecraft:brown_wool",
    },
    result: "mineminenomi:vice_admiral_pants",
  });
  event.shaped({
    pattern: ["B B", "B B"],
    key: {
      B: "minecraft:brown_wool",
    },
    result: "mineminenomi:vice_admiral_boots",
  });
  //Kuma
  event.shaped({
    pattern: ["G G", "GBG", "GBG"],
    key: {
      G: "minecraft:black_wool",
      B: "minecraft:white_wool",
    },
    result: "mineminenomi:kuma_shirt",
  });
  event.shaped({
    pattern: ["GGG", "G G", "G G"],
    key: {
      G: "minecraft:white_wool",
    },
    result: "mineminenomi:kuma_pants",
  });
  event.shaped({
    pattern: ["G G", "B B"],
    key: {
      B: "minecraft:black_wool",
      G: "minecraft:gray_wool",
    },
    result: "mineminenomi:kuma_boots",
  });
  //Smoker
  event.shaped({
    pattern: ["G G", "WWW", "WWW"],
    key: {
      G: "minecraft:green_wool",
      W: "minecraft:white_wool",
    },
    result: "mineminenomi:smoker_jacket",
  });
  event.shaped({
    pattern: ["GGG", "G G", "G G"],
    key: {
      G: "minecraft:blue_wool",
    },
    result: "mineminenomi:smoker_pants",
  });
  event.shaped({
    pattern: ["B B", "B B"],
    key: {
      B: "minecraft:light_gray_wool",
    },
    result: "mineminenomi:smoker_boots",
  });
  //Impel down guard
  event.shaped({
    pattern: ["W W", "WBW", "WWW"],
    key: {
      B: "minecraft:white_wool",
      W: "minecraft:brown_wool",
    },
    result: "onepiecemod:guard_impel_down_chestplate",
  });
  event.shaped({
    pattern: ["G G", "B B"],
    key: {
      B: "minecraft:black_wool",
      G: "minecraft:brown_wool",
    },
    result: "onepiecemod:guard_impel_down_boots",
  });
  //Impel down prisoner
  event.shaped({
    pattern: ["W W", "BBB", "WWW"],
    key: {
      W: "minecraft:white_wool",
      B: "minecraft:black_wool",
    },
    result: "onepiecemod:prisonnier_impel_down_chestplate",
  });
  event.shaped({
    pattern: ["G G", "B B"],
    key: {
      B: "minecraft:light_gray_wool",
      G: "minecraft:gray_wool",
    },
    result: "onepiecemod:prisonnier_impel_down_boots",
  });
  //Buster Call
  event.shapeless("mineminenomi:den_den_mushi", ["minecraft:nautilus_shell"]);
  event.shaped({
    pattern: ["IBI", "BEB", "IBI"],
    key: {
      I: "minecraft:gold_block",
      B: "minecraft:gold_ingot",
      E: "mineminenomi:den_den_mushi",
    },
    result: "mineminenomi:golden_den_den_mushi",
  });

  //Devil Fruit item
  event.shapeless("mineminenomi:color_palette", [
    "red_dye",
    "orange_dye",
    "white_dye",
    "green_dye",
    "light_blue_dye",
    "blue_dye",
    "#minecraft:wooden_slabs",
  ]);
  event.shaped({
    pattern: ["I  ", "IBI", " I "],
    key: {
      I: "minecraft:iron_ingot",
      B: "minecraft:water_bucket",
    },
    result: "mineminenomi:watering_can",
  });
  event.shaped({
    pattern: ["GIG", "GBG"],
    key: {
      I: "minecraft:iron_ingot",
      G: "minecraft:gold_ingot",
      B: "minecraft:iron_block",
    },
    result: "mineminenomi:tomoe_drums",
  });

  //Smoking
  event.shapeless("2x mineminenomi:cigar", [
    "paper",
    "#minecraft:small_flowers",
  ]);
  event.shapeless("5x mineminenomi:cigarette", ["2x paper"]);
  event.shapeless("mineminenomi:three_cigars", ["3x mineminenomi:cigar"]);
  event.shaped({
    pattern: ["F ", "SS"],
    key: {
      F: "#minecraft:small_flowers",
      S: "#minecraft:wooden_slabs",
    },
    result: "mineminenomi:smoking_pipe",
  });
  //Sake Bottle
  event.shaped({
    pattern: [" S ", "SDS", " S "],
    key: {
      D: "minecraft:diamond",
      S: "mineminenomi:sake_cup",
    },
    result: "mineminenomi:sake_bottle",
  });

  //Caracter's Hat
  event.shapeless("mineminenomi:bandana", ["leather_helmet"]);
  event.shaped({
    pattern: ["SIS"],
    key: {
      S: "minecraft:red_stained_glass_pane",
      I: "minecraft:iron_ingot",
    },
    result: "mineminenomi:doflamingos_glasses",
  });
  event.shaped({
    pattern: [" W ", "GWG"],
    key: {
      W: "minecraft:black_wool",
      G: "#forge:glass_panes",
    },
    result: "mineminenomi:sabos_hat",
  });
  event.shaped({
    pattern: [" WF", "WWW"],
    key: {
      W: "minecraft:black_wool",
      F: "#forge:feathers",
    },
    result: "mineminenomi:mihawks_hat",
  });
  event.shaped({
    pattern: ["WBW", "WBW", "WBW"],
    key: {
      W: "minecraft:white_wool",
      B: "minecraft:cyan_wool",
    },
    result: "mineminenomi:killers_mask",
  });
  event.shaped({
    pattern: ["BWB", "BWB", "BWB"],
    key: {
      W: "minecraft:white_wool",
      B: "minecraft:cyan_wool",
    },
    result: "mineminenomi:killers_mask",
  });
  event.shaped({
    pattern: ["WWW", "WGW", "WWW"],
    key: {
      W: "minecraft:white_wool",
      G: "minecraft:gray_wool",
    },
    result: "mineminenomi:laws_hat",
  });
  event.shaped({
    pattern: ["YIY"],
    key: {
      Y: "minecraft:yellow_wool",
      I: "minecraft:iron_ingot",
    },
    result: "mineminenomi:kizarus_glasses",
  });
  event.shaped({
    pattern: ["FGF", "WCW", "WWW"],
    key: {
      F: "#forge:feathers",
      G: "minecraft:gold_ingot",
      W: "minecraft:white_wool",
      C: "minecraft:cyan_wool",
    },
    result: "mineminenomi:fleet_admirals_hat",
  });
  event.shaped({
    pattern: ["GIG", "IBI", " I "],
    key: {
      I: "minecraft:gold_ingot",
      B: "minecraft:gold_block",
      G: "minecraft:blue_stained_glass_pane",
    },
    result: "mineminenomi:mh5_gas_mask",
  });
  event.shaped({
    pattern: [" W ", "WWW"],
    key: {
      W: "minecraft:pink_wool",
    },
    result: "mineminenomi:choppers_hat",
  });
  event.shaped({
    pattern: [" W ", "WWW"],
    key: {
      W: "minecraft:orange_wool",
    },
    result: "mineminenomi:aces_hat",
  });
  event.shaped({
    pattern: ["III", "G G", "I I"],
    key: {
      I: "minecraft:iron_ingot",
      G: "minecraft:blue_stained_glass_pane",
    },
    result: "mineminenomi:sniper_goggles",
  });
  //Weapons
  event.shaped({
    pattern: [" K", "KK", " W"],
    key: {
      W: "minecraft:red_wool",
      K: "mineminenomi:kairoseki",
    },
    result: "mineminenomi:jitte",
  });
  event.shaped({
    pattern: ["  K", " K ", "S  "],
    key: {
      S: "#forge:rods/wooden",
      K: "mineminenomi:kairoseki",
    },
    result: "mineminenomi:kikoku",
  });
  event.shaped({
    pattern: ["  K", " K ", "S  "],
    key: {
      S: "#forge:rods/wooden",
      K: "mineminenomi:dense_kairoseki",
    },
    result: "onepiecemod:kikoku",
  });
  event.shaped({
    pattern: ["  I", " B ", "I  "],
    key: {
      I: "minecraft:gold_ingot",
      B: "minecraft:gold_block",
    },
    result: "mineminenomi:nonosama_staff",
  });
  event.shaped({
    pattern: [" II", " NI", "I  "],
    key: {
      I: "minecraft:gold_ingot",
      N: "mineminenomi:nonosama_staff",
    },
    result: "mineminenomi:nonosama_trident",
  });
  event.shaped({
    pattern: [" II", " BI"],
    key: {
      I: "minecraft:gold_ingot",
      B: "minecraft:gold_block",
    },
    result: "mineminenomi:hook",
  });
  event.shaped({
    pattern: ["  I", " I ", "I  "],
    key: {
      I: "minecraft:iron_ingot",
    },
    result: "mineminenomi:pipe",
  });
  event.shaped({
    pattern: ["  I", " I ", "G  "],
    key: {
      I: "minecraft:iron_ingot",
      G: "minecraft:gold_ingot",
    },
    result: "mineminenomi:marine_sword",
  });
  event.shaped({
    pattern: [" II", " I ", "S  "],
    key: {
      I: "minecraft:iron_ingot",
      S: "#forge:rods/wooden",
    },
    result: "mineminenomi:pirate_cutlass",
  });
  event.shaped({
    pattern: [" I", "S "],
    key: {
      I: "minecraft:iron_ingot",
      S: "#forge:rods/wooden",
    },
    result: "mineminenomi:bandit_knife",
  });
  event.shaped({
    pattern: ["  S", "PPI", "  P"],
    key: {
      I: "minecraft:iron_ingot",
      P: "#minecraft:planks",
      S: "minecraft:flint",
    },
    result: "mineminenomi:flintlock",
  });
  event.shaped({
    pattern: ["GFG"],
    key: {
      G: "minecraft:gold_ingot",
      F: "mineminenomi:flintlock",
    },
    result: "mineminenomi:senriku",
  });
  event.shaped({
    pattern: ["  S", "PPI", "  P"],
    key: {
      I: "minecraft:gold_ingot",
      P: "#minecraft:planks",
      S: "minecraft:flint",
    },
    result: "mineminenomi:walker",
  });
});
